Name:           httpcomponents-core4.3
Version:        4.3.3
Release:        2.maven%{?dist}
Summary:        Set of low level Java HTTP transport components for HTTP services

License:        ASL 2.0
URL:            http://hc.apache.org/
Source0:        http://repo.maven.apache.org/maven2/org/apache/httpcomponents/httpcore/4.3.3/httpcore-4.3.3.jar
Source1:        http://repo.maven.apache.org/maven2/org/apache/httpcomponents/httpcore/4.3.3/httpcore-4.3.3.pom

BuildArch:      noarch
BuildRequires:  maven-local
BuildRequires:  mvn(org.apache.httpcomponents:project:pom:)

%description
HttpCore is a set of low level HTTP transport components that can be used to
build custom client and server side HTTP services with a minimal footprint.
HttpCore supports two I/O models: blocking I/O model based on the classic Java
I/O and non-blocking, event driven I/O model based on Java NIO. The blocking
I/O model may be more appropriate for data intensive, low latency scenarios,
whereas the non-blocking model may be more appropriate for high latency
scenarios where raw data throughput is less important than the ability to
handle thousands of simultaneous HTTP connections in a resource efficient
manner.

This is a compatibility package for version 4.3.x.


%prep
%setup -q -c -n %{name}-%{version}

%mvn_compat_version org.apache.httpcomponents:httpcore 4.3
%mvn_artifact %{SOURCE1} %{SOURCE0}


%build


%install
%mvn_install


%files -f .mfiles
%license META-INF/LICENSE META-INF/NOTICE
%dir %{_javadir}/%{name}/


%changelog
* Fri Mar 31 2017 František Dvořák <valtri@civ.zcu.cz> - 4.3.3-2.maven
- Rebuilt for Indigo 2 and CMD

* Mon Sep 05 2016 František Dvořák <valtri@civ.zcu.cz> - 4.3.3-1.maven
- Initial package
